disarray_rep< T, distributed, A >::dis_reference

## Public Member Functions

| dis_reference (disarray_rep< T, distributed, A > &x, size_type dis_i)
dis_reference & | operator= (const T &value)
template<class U >
dis_reference & | operator+= (const U &value)

## Protected Attributes

disarray_rep< T, distributed, A > & | _x
size_type | _dis_i

## Detailed Description

### template<class T, class A>
struct rheolef::disarray_rep< T, distributed, A >::dis_reference

Definition at line 306 of file disarray.h.

## Constructor & Destructor Documentation

## dis_reference()

dis_reference | ( | disarray_rep< T, distributed, A > & | x,
|  | size_type | dis_i
| ) |  |

Definition at line 307 of file disarray.h.

## Member Function Documentation

## operator=()

dis_reference& operator= | ( | const T & | value | ) |

Definition at line 310 of file disarray.h.

## operator+=()

dis_reference& operator+= | ( | const U & | value | ) |

Definition at line 315 of file disarray.h.

## Member Data Documentation

## _x

disarray_rep<T,distributed,A>& _x

protected

Definition at line 321 of file disarray.h.

## _dis_i

size_type _dis_i

protected

Definition at line 322 of file disarray.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/disarray.h